﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Email_Sender_v._1
{
    public partial class FrmLogin : Form
    {
        public FrmLogin()
        {
            InitializeComponent();
        }
        #region Settings
        private void ShowSettings()
        {
            dsSettings.KSettingsDataTable dtsettings = new dsSettings.KSettingsDataTable();
            dsSettings.KSettingsRow row;


            //============================================
            // Check if file exists
            //============================================
            if (!File.Exists(@"Settings.dll"))
            {
                row = dtsettings.NewKSettingsRow();
                row.Username = "";
                row.Password = "";


                dtsettings.AddKSettingsRow(row);

                dtsettings.WriteXml(@"Settings.dll");
            }

            //============================================
            // Read all settings in xml
            //============================================
            dtsettings.ReadXml(@"Settings.dll");
            row = (dsSettings.KSettingsRow)dtsettings.Rows[0];
            TxtUserYahoo.Text = row.Username;
            TxtPwYahoo.Text = row.Password;
        }

        private void SaveSettings()
        {
            dsSettings.KSettingsDataTable dtsettings = new dsSettings.KSettingsDataTable();
            dsSettings.KSettingsRow row = null;

            try
            {
                dtsettings.ReadXml(@"Settings.dll");
                row = (dsSettings.KSettingsRow)dtsettings.Rows[0];

                row.Username = TxtUserYahoo.Text;
                row.Password = TxtPwYahoo.Text;

                dtsettings.AcceptChanges();
                dtsettings.WriteXml(@"Settings.dll");

            }
            catch { }
        }
        #endregion

        private void Form3_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (string.IsNullOrEmpty(TxtUserYahoo.Text))
            {
                MessageBox.Show("Please enter your Username");
            }
            else if (string.IsNullOrEmpty(TxtPwYahoo.Text))
            {
                MessageBox.Show("Please enter your Password");
            }
            else
            {
                SaveSettings();
                this.Close();
            }
        }
    }
}
